Loading...
Searching...
No Matches
ISMRMRD::MetaContainer Class Reference
Meta Attributes API

Meta Container. More...

`#include <meta.h>`

## Public Member Functions

to
This function sets the parameter with name value @value. The set function assumes the parameter will have a single value and wipes out any array that might be there. There is an @append function for appending to an existing array.
template<class T>
void | set (const char *name, T value)
template<class T>
void | append (const char *name, T value)
void | remove (const char *name)
size_t | length (const char *name) const
| Return number of values of a particular parameter.
as long
Return value number @index of the parameter
long | as_long (const char *name, size_t index=0) const
as double
Return value number @index of the parameter
double | as_double (const char *name, size_t index=0) const

## Protected Types

typedef std::map< std::string, std::vector< MetaValue > > | map_t

## as string

Return value number @index of the parameter
map_t | map_
const char * | as_str (const char *name, size_t index=0) const
const MetaValue & | value (const char *name, size_t index=0) const
bool | empty () const
map_t::iterator | begin ()
map_t::iterator | end ()
map_t::const_iterator | begin () const
map_t::const_iterator | end () const

## Detailed Description

Meta Container.

The documentation for this class was generated from the following file:

- meta.h